## evolver 2.14

=== src/Makefile ===
# Makefile for Surface Evolver
SHELL= /bin/sh

#NOTE: -DOOGL should be specified in CFLAGS if you want Evolver to 
# be able to use geomview or X-geomview.
# (geomview is available by anonymous ftp from geom.umn.edu
# in /pub/software/geomview as various  binaries or source archives) 

# Pick your compiler
CC= cc
#CC= gcc

# Remove #'s from following 3 lines for generic Unix without graphics
#CFLAGS= -DGENERIC
#GRAPH= nulgraph.o 
#GRAPHLIB= 

# Remove #'s from following 3 lines for generic Unix with X-windows 
# Add -DOOGL to CFLAGS if you have the X version of geomview.
#CFLAGS= -DGENERIC
#GRAPH= xgraph.o 
#GRAPHLIB= -lX11 
#some places might have -lX11-mit

# Remove #'s from following 3 lines for LINUX 
# You may have to modify the X11 lib path given here
#CFLAGS= -DLINUX -O2 -DOOGL
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/X11R6/lib -lX11 

# Remove #'s from following 3 lines for SUNs or SPARCSTATIONs with X-windows
# WARNING: If you use -O2 optimization, you may have to compile popfilm.c
# without optimization, because sun optimization may hang.
# You may have problems with method4.c; if so, try using gcc instead.
#CFLAGS= -DSUN -DOOGL -I/usr/openwin/include
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 

#Note on Solaris:
#SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
#are needed for some programs on Solaris; but not this one -- they're poison
#for Evolver!

# Remove #'s from following 3 lines for DEC Alpha with X-windows 
# Add -DOOGL to CFLAGS if you have the X version of geomview.
#CFLAGS= -DDECALPHA -O -Olimit 2000
#GRAPH= xgraph.o
#GRAPHLIB= -lX11

# IRIX 4, with old gl graphics
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
#GRAPH= iriszgraph.o
#GRAPHLIB=  -lgl_s -lmalloc -lc_s

# IRIX 5
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 -mips2
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

# IRIX 5, parallel
# Remove #'s from the following three lines for Iris workstations with 
# multiple processors and geomview.  OK for single processors, too.
# Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -DSGI_MULTI -O2 -Olimit 3000 -mips2
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

# IRIX 6
# Remove #'s from the following three lines for Iris workstations with 
# IRIX 6.x operating system.  Add -DSGI_MULTI to CLFAGS if you
# have multiple processors.  Add -DLONGDOUBLE if you're a 
# precision freak and want 30 places of accuracy and your machine
# supports the long double type.
#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=9000
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11


# Remove #'s from following 3 lines for  HP workstation
# Omit -Aa if you're using gcc
#CFLAGS= -Aa  -D_HPUX_SOURCE  -I/usr/include/X11R5
#GRAPH= xgraph.o
#GRAPHLIB= -L/usr/lib/X11R5 -lX11

# Remove #'s from following 3 lines for NeXTStep without screen graphics
# (see separate ftp archive evolver.next.tar.Z for graphics version)
#CFLAGS= -DNeXT
#GRAPH= nulgraph.o 
#GRAPHLIB= 

# Remove #'s from the following three lines for HP 98731 workstations.
#CFLAGS = -DHP
#GRAPH= hpzgraph.o
#GRAPHLIB=  -ldd98731 -lsb1 -lsb2

#NOTE: If the linker complains about not finding alloca, include
#      alloca.o in the OBJ list.

OBJ= calcforc.o  variable.o trirevis.o  stringl.o stringq.o model.o\
	 fixvol.o query.o matrix.o grapher.o painter.o filml.o filmq.o\
	 torvol.o lexinit.o graphgen.o modify.o userio.o boundary.o\
         curtest.o display.o yexparse.o lexyy.o ytab.o hessian.o\
	 evaltree.o cnstrnt.o verpopst.o popfilm.o machine.o veravg.o \
	 pixgraph.o tmain.o  tordup.o wulff.o help.o psgraph.o check.o  \
	 utility.o skeleton.o  storage.o dump.o iterate.o filgraph.o zoom.o\
         softimag.o mvgraph.o  diffuse.o sqcurve.o klein.o\
	 command.o hidim.o simplex.o metric.o torus.o quotient.o alice.o\
	 sdrv.o odrv.o userfunc.o kusner.o  simequi2.o\
	 geomgraph.o symtable.o exprint.o quantity.o meanint.o mindeg.o\
	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
	 method4.o eval_sec.o sqcurve3.o metis.o lagrange.o


# Set any compiler options you need (floating point, optimization,  etc.)

evolver: makemark  $(OBJ)  $(GRAPH)
	$(CC) $(CFLAGS)  $(OBJ) $(GRAPH) $(GRAPHLIB) -o evolver -lm   

# This is to get global dependencies on the main header files.
makemark: skeleton.h storage.h model.h web.h
	rm *.o || true
	touch makemark

.c.o:
	$(CC) $(CFLAGS) -c  $<
 

# lexyy.c and ytab.c should only be remade when interface
# language is changed, which users shouldn't be touching.
#lexyy.c: datafile.lex express.h ytab.c lex.h
#	lex datafile.lex
#	sed '/#ident/d' <lex.yy.c >t.c
#	sed '/int \* p, int m/s/(int \* p, int m)/(p,m) int *p,m;/' <t.c >lexyy.c
#	rm lex.yy.c

#ytab.c:  command.yac  express.h
#	yacc -d command.yac
#	sed '/#ident/d' <y.tab.c >tmp.c
#	sed '/#include </d' <tmp.c >ytab.c
#	cat tokname.c >> ytab.c
#	rm tmp.c 
#	cp y.tab.h ytab.h
#	rm y.tab.c y.tab.h

#ytab.h: ytab.c 

#lexinit.o: lex.h lexinit.c express.h ytab.h

#query.o: lex.h ytab.h query.c

#evaltree.o: evaltree.c lex.h ytab.h express.h

#eval_all.o: eval_all.c lex.h ytab.h express.h

#eval_sec.o: eval_all.c lex.h ytab.h express.h

#yexparse.o: yexparse.c lex.h ytab.h express.h

#exprint.o: exprint.c lex.h ytab.h express.h

#tmain.o: tmain.c include.h

# end of ytab stuff

## evolver 2.20

=== Makefile ===
# Makefile for Surface Evolver
SHELL= /bin/sh

# INSTRUCTIONS: Customize this makefile for your system by choosing
# your compiler (cc or gcc or whatever), and then uncomment the
# appropriate CFLAGS, GRAPH, and GRAPHLIB definitions for your system.
# If lines need to be modified for your system, please let me know
# at brakke@susqu.edu.

# NOTE: -DOOGL should be specified in CFLAGS if you want Evolver to 
# be able to use geomview.  And -DOOGL is harmless in any case. 

# Pick your compiler, and add any options you want, such as optimization
CC= cc 
#CC= gcc

# Remove #'s from following 3 lines for generic Unix without builtin graphics.
# Add -DOOGL to CFLAGS if you are using geomview.
#CFLAGS= -DGENERIC
#GRAPH= nulgraph.o 
#GRAPHLIB= 

# Remove #'s from following 3 lines for generic Unix with X-windows. 
# Add -DOOGL to CFLAGS if you are using geomview.
#CFLAGS= -DGENERIC
#GRAPH= xgraph.o 
#GRAPHLIB= -lX11 
#some places might have -lX11-mit

# Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
# The graphics are on a second thread, so pthreads are needed.
# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
# prompt; they may be deleted if they give you trouble.
# -DPTRHEADS is necessary with glutgraph.o.
#CFLAGS= -DLINUX -DOOGL -DREADLINE -DPTHREADS
#GRAPH= glutgraph.o 
#GRAPHLIB= -lreadline -lcurses -lGL -lGLU -lglut -lpthread

# Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
# You may have to modify the X11 lib path given here.
# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
# prompt; they may be deleted if they give you trouble.
#CFLAGS= -DLINUX -DOOGL -DREADLINE
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/X11R6/lib -lX11 -lreadline -lcurses

# Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
#INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
#CFLAGS= -DLINUX -DPTHREADS -DOOGL -DMAC_OS_X -I$(INC)
#GRAPH= glutgraph.o
#GLDIR=/System/Library/Frameworks/OpenGL.framework/Libraries
#GRAPHLIB= -L$(GLDIR)  -lGL -lGLU -lobjc  -framework GLUT

# Remove #'s from following 3 lines for SUNs or SPARCSTATIONs with X-windows
# WARNING: If you use -O2 optimization, you may have to compile popfilm.c
# without optimization, because sun optimization may hang.
#CFLAGS= -DSUN -DOOGL -I/usr/openwin/include
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 

# 32-bit SOLARIS with GLUT.  The GLUT graphics window runs in a separate
# thread;  -DPTHREADS enables threads in Evolver source code, and -pthreads
# enables it in the gcc compiler.  For Solaris cc compiler, use -mt instead.
#GLUTHOME= /usr/local/sparc_solaris/glut-3.7
#INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE)
#GRAPH= glutgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu

# 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
#GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
#INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE) -m64 
#GRAPH= glutgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu

#Note on Solaris:
#SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
#are needed for some programs on Solaris; but not this one -- they're poison
#for Evolver!

# Remove #'s from following 3 lines for DEC Alpha with X-windows 
# Add -DOOGL to CFLAGS if you have the X version of geomview.
#CFLAGS= -DDECALPHA -O -Olimit 2000
#GRAPH= xgraph.o
#GRAPHLIB= -lX11

# IRIX 4, with old gl graphics
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
#GRAPH= iriszgraph.o
#GRAPHLIB=  -lgl_s -lmalloc -lc_s

# IRIX 5
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

# IRIX 5, parallel
# Remove #'s from the following three lines for Iris workstations with 
# multiple processors and geomview.  OK for single processors, too.
# Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -DSGI_MULTI -O2 -Olimit 3000 -mips2
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

# IRIX 6
# Remove #'s from the following three lines for Iris workstations with 
# IRIX 6.x operating system.  Add -DSGI_MULTI to CLFAGS if you
# have multiple processors.
#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=6000
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11


# Remove #'s from following 3 lines for  HP workstation
# Omit -Aa if you're using gcc
#CFLAGS= -Aa  -D_HPUX_SOURCE  -I/usr/include/X11R5
#GRAPH= xgraph.o
#GRAPHLIB= -L/usr/lib/X11R5 -lX11

# Remove #'s from following 3 lines for NeXTStep without screen graphics
# (see separate ftp archive evolver.next.tar.Z for graphics version)
#CFLAGS= -DNeXT
#GRAPH= nulgraph.o 
#GRAPHLIB= 

OBJ= calcforc.o  variable.o trirevis.o  stringl.o stringq.o model.o\
	 fixvol.o query.o matrix.o grapher.o painter.o filml.o filmq.o\
	 torvol.o lexinit.o graphgen.o modify.o userio.o boundary.o\
         curtest.o display.o yexparse.o lexyy.o ytab.o hessian.o\
	 evaltree.o cnstrnt.o verpopst.o popfilm.o machine.o veravg.o \
	 pixgraph.o tmain.o  tordup.o wulff.o help.o psgraph.o check.o  \
	 utility.o skeleton.o  storage.o dump.o iterate.o filgraph.o zoom.o\
         softimag.o mvgraph.o  diffuse.o sqcurve.o klein.o\
	 command.o hidim.o simplex.o metric.o torus.o quotient.o alice.o\
	 sdrv.o odrv.o userfunc.o kusner.o  simequi2.o\
	 geomgraph.o symtable.o exprint.o quantity.o meanint.o mindeg.o\
	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
	 method4.o eval_sec.o sqcurve3.o metis.o lagrange.o


evolver: makemark  $(OBJ)  $(GRAPH)
	$(CC) $(CFLAGS)  $(OBJ) $(GRAPH) $(GRAPHLIB) -o evolver -lm   

# This is to get global dependencies on the main header files.
makemark: skeleton.h storage.h model.h web.h
	rm *.o || true
	touch makemark

.c.o:
	$(CC) $(CFLAGS) -c  $<
 

# lexyy.c and ytab.c should only be remade when interface
# language is changed, which users shouldn't be touching.
#lexyy.c: datafile.lex express.h ytab.c lex.h
#	lex datafile.lex
#	sed '/#ident/d' <lex.yy.c >t.c
#	sed '/int \* p, int m/s/(int \* p, int m)/(p,m) int *p,m;/' <t.c >lexyy.c
#	rm lex.yy.c

#ytab.c:  command.yac  express.h
#	yacc -d command.yac
#	sed '/#ident/d' <y.tab.c >tmp.c
#	sed '/malloc()/d' <tmp.c >ytab.c
#	rm tmp.c
#	cp y.tab.h ytab.h
#	rm y.tab.c y.tab.h

ytab.h: ytab.c 

lexinit.o: lex.h lexinit.c express.h ytab.h

query.o: lex.h ytab.h query.c

evaltree.o: evaltree.c lex.h ytab.h express.h

eval_all.o: eval_all.c lex.h ytab.h express.h

eval_sec.o: eval_all.c lex.h ytab.h express.h

yexparse.o: yexparse.c lex.h ytab.h express.h

exprint.o: exprint.c lex.h ytab.h express.h

tmain.o: tmain.c include.h

## evolver 2.23

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 # NOTE: -DOOGL should be specified in CFLAGS if you want Evolver to 
 # be able to use geomview.  And -DOOGL is harmless in any case. 
+
+# NOTE: You can use the readline input editing system (if your system has it)
+# by adding -DREADLINE to CFLAGS and  -lreadline -lcurses to GRAPHLIB.
+# But beware; readline may be incompatible with using geomview.
 
 # Pick your compiler, and add any options you want, such as optimization
 CC= cc 
@@ -29,20 +33,18 @@
 
 # Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
 # The graphics are on a second thread, so pthreads are needed.
-# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
-# prompt; they may be deleted if they give you trouble.
-# -DPTRHEADS is necessary with glutgraph.o.
-#CFLAGS= -DLINUX -DOOGL -DREADLINE -DPTHREADS
+# NOTE: -DPTRHEADS is necessary with glutgraph.o.
+#CFLAGS= -DLINUX -DOOGL -DPTHREADS
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -lreadline -lcurses -lGL -lGLU -lglut -lpthread
+#GRAPHLIB= -lGL -lGLU -lglut -lpthread
+# NOTE: I have heard the following version is needed for RedHat 9:
+#GRAPHLIB= -lGL -lGLU -lglut -L/usr/X11R6/lib -lXi -lXmu -lpthread
 
 # Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
 # You may have to modify the X11 lib path given here.
-# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
-# prompt; they may be deleted if they give you trouble.
-#CFLAGS= -DLINUX -DOOGL -DREADLINE
+#CFLAGS= -DLINUX -DOOGL 
 #GRAPH= xgraph.o 
-#GRAPHLIB= -L/usr/X11R6/lib -lX11 -lreadline -lcurses
+#GRAPHLIB= -L/usr/X11R6/lib -lX11 
 
 # Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
 #INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
@@ -65,14 +67,14 @@
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
 #CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE)
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
 
 # 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
 #GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
 #CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE) -m64 
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
 
 #Note on Solaris:
 #SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
@@ -142,7 +144,7 @@
 	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
 	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
 	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
-	 method4.o eval_sec.o sqcurve3.o metis.o lagrange.o
+	 method4.o method5.o eval_sec.o sqcurve3.o metis.o lagrange.o
 
 
 evolver: makemark  $(OBJ)  $(GRAPH)

## evolver 2.26c

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,21 @@
 # by adding -DREADLINE to CFLAGS and  -lreadline -lcurses to GRAPHLIB.
 # But beware; readline may be incompatible with using geomview.
 
+#-----------------------------------------------------------------------------
+
 # Pick your compiler, and add any options you want, such as optimization
 CC= cc 
 #CC= gcc
+
+#---------------------Start of system choices---------------------------------
 
 # Remove #'s from following 3 lines for generic Unix without builtin graphics.
 # Add -DOOGL to CFLAGS if you are using geomview.
 #CFLAGS= -DGENERIC
 #GRAPH= nulgraph.o 
 #GRAPHLIB= 
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for generic Unix with X-windows. 
 # Add -DOOGL to CFLAGS if you are using geomview.
@@ -31,20 +37,28 @@
 #GRAPHLIB= -lX11 
 #some places might have -lX11-mit
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
 # The graphics are on a second thread, so pthreads are needed.
 # NOTE: -DPTRHEADS is necessary with glutgraph.o.
 #CFLAGS= -DLINUX -DOOGL -DPTHREADS
 #GRAPH= glutgraph.o 
 #GRAPHLIB= -lGL -lGLU -lglut -lpthread
-# NOTE: I have heard the following version is needed for RedHat 9:
+# NOTE: It has been reported to me that RedHat 9 needs the following line
+# for GRAPHLIB, but earlier and later versions do okay with the GRAPHLIB
+# line just above.
 #GRAPHLIB= -lGL -lGLU -lglut -L/usr/X11R6/lib -lXi -lXmu -lpthread
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
 # You may have to modify the X11 lib path given here.
 #CFLAGS= -DLINUX -DOOGL 
 #GRAPH= xgraph.o 
 #GRAPHLIB= -L/usr/X11R6/lib -lX11 
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
 #INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
@@ -53,6 +67,8 @@
 #GLDIR=/System/Library/Frameworks/OpenGL.framework/Libraries
 #GRAPHLIB= -L$(GLDIR)  -lGL -lGLU -lobjc  -framework GLUT
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for SUNs or SPARCSTATIONs with X-windows
 # WARNING: If you use -O2 optimization, you may have to compile popfilm.c
 # without optimization, because sun optimization may hang.
@@ -60,32 +76,47 @@
 #GRAPH= xgraph.o 
 #GRAPHLIB= -L/usr/openwin/lib  -lX11 
 
+#-----------------------------------------------------------------------------
+
 # 32-bit SOLARIS with GLUT.  The GLUT graphics window runs in a separate
-# thread;  -DPTHREADS enables threads in Evolver source code, and -pthreads
-# enables it in the gcc compiler.  For Solaris cc compiler, use -mt instead.
+# thread;  -DPTHREADS enables threads in Evolver source code, and -mt
+# enables it in the Solaris cc compiler.  For the gcc compiler, use -pthreads 
+# instead of -mt.
+# You should check to see that the GLUTHOME directory listed below exists;
+# it may be some other place on your machine.  If you can't find it,
+# download glut-3.7b.sparc_solaris.tar.gz from www.sun.com.
 #GLUTHOME= /usr/local/sparc_solaris/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
-#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE)
+#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE)
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+
+#-----------------------------------------------------------------------------
 
 # 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
+# You should check to see that the GLUTHOME directory listed below exists;
+# it may be some other place on your machine.  If you can't find it,
+# download glut-3.7b.sparc_solaris_64.tar.gz from www.sun.com.
 #GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
-#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE) -m64 
+#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE) -m64 
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
 
 #Note on Solaris:
 #SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
 #are needed for some programs on Solaris; but not this one -- they're poison
 #for Evolver!
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for DEC Alpha with X-windows 
 # Add -DOOGL to CFLAGS if you have the X version of geomview.
 #CFLAGS= -DDECALPHA -O -Olimit 2000
 #GRAPH= xgraph.o
 #GRAPHLIB= -lX11
+
+#-----------------------------------------------------------------------------
 
 # IRIX 4, with old gl graphics
 # Remove #'s from the following three lines for Iris workstations with 
@@ -94,12 +125,16 @@
 #GRAPH= iriszgraph.o
 #GRAPHLIB=  -lgl_s -lmalloc -lc_s
 
+#-----------------------------------------------------------------------------
+
 # IRIX 5
 # Remove #'s from the following three lines for Iris workstations with 
 # geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
 #CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
+
+#-----------------------------------------------------------------------------
 
 # IRIX 5, parallel
 # Remove #'s from the following three lines for Iris workstations with 
@@ -109,13 +144,17 @@
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
 
+#-----------------------------------------------------------------------------
+
 # IRIX 6
 # Remove #'s from the following three lines for Iris workstations with 
 # IRIX 6.x operating system.  Add -DSGI_MULTI to CLFAGS if you
 # have multiple processors.
-#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=6000
+#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=10000
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
+
+#-----------------------------------------------------------------------------
 
 
 # Remove #'s from following 3 lines for  HP workstation
@@ -123,12 +162,16 @@
 #CFLAGS= -Aa  -D_HPUX_SOURCE  -I/usr/include/X11R5
 #GRAPH= xgraph.o
 #GRAPHLIB= -L/usr/lib/X11R5 -lX11
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for NeXTStep without screen graphics
 # (see separate ftp archive evolver.next.tar.Z for graphics version)
 #CFLAGS= -DNeXT
 #GRAPH= nulgraph.o 
 #GRAPHLIB= 
+
+#-------------------End of system-specific options----------------------------
 
 OBJ= calcforc.o  variable.o trirevis.o  stringl.o stringq.o model.o\
 	 fixvol.o query.o matrix.o grapher.o painter.o filml.o filmq.o\
@@ -144,7 +187,7 @@
 	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
 	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
 	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
-	 method4.o method5.o eval_sec.o sqcurve3.o metis.o lagrange.o
+	 method4.o method5.c eval_sec.o sqcurve3.o metis.o lagrange.o
 
 
 evolver: makemark  $(OBJ)  $(GRAPH)
@@ -152,6 +195,7 @@
 
 # This is to get global dependencies on the main header files.
 makemark: skeleton.h storage.h model.h web.h
+	if [[ -z "$(GRAPH)" ]] ; then (echo "ERROR: You need to uncomment your system's lines in Makefile.") ; fi
 	rm *.o || true
 	touch makemark

## evolver 2.30c

=== debian/changelog ===
evolver (2.30c-2) unstable; urgency=low

  * No longer has ev225g.tar.gz or any other tarball (closes: #392377).
  * Removed libreadline5-dev from Build-Depends (closes: #553753).
  * Changed to source format 3.0 (quilt).
  * Bumped debhelper compat to 5, and Standards-Version.
  * Corrected evolver-doc doc-base section.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 25 Jun 2010 07:54:20 -0400

evolver (2.30c-1) unstable; urgency=low

  * New upstream release (closes: #466798).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 26 Feb 2008 00:20:50 -0500

evolver (2.26c-1) unstable; urgency=low

  * New upstream version (required by change to binary PDF docs).
  * New PDF documentation is not corrupted (closes: #355081).
  * Changed PDF manual link in doc/install.htm to point to both installed copy
    and online link (closes: #355082).
  * Changed build dependency to freeglut3-dev (closes: #394489).
  * Updated standards version and moved dh version to debian/compat.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri,  7 Sep 2007 18:38:58 -0400

evolver (2.26-1) unstable; urgency=low

  * New upstream release.
  * Incorporate Roger Leigh's work with Karl Chen's patch (closes: #317404).
  * Discarded my evolver man page in favor of new upstream.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 31 Oct 2005 13:32:23 -0500

evolver (2.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * src/include.h: Don't prototype calloc() and friends when building
    with an ANSI C compiler (Closes: 317404).  Based on a patch by
    Karl Chen.
  * debian/control: Build-Depend on libreadline5-dev, rather than
    the old libreadline4-dev.

 -- Roger Leigh <rleigh@debian.org>  Fri, 22 Jul 2005 21:16:12 +0100

evolver (2.23-1) unstable; urgency=low

  * New upstream release.
  * Changed Build-Depends from xlibs-dev to libx11-dev (closes: #255962).
  * Removed "prototypes" including calloc from src/include.h (closes: 258657).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 11 Aug 2004 12:06:07 -0400

evolver (2.20-1) unstable; urgency=low

  * New upstream (closes: #206787).
  * Forward-ported patch to include evolver-doc examples dir in default path.
  * Changed graphics from "crummy X" to GLUT.
  * Added readline dependency.
  * Tweaked evolver manpage.
  * Updated Standards-Version to 3.6.1.0.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 26 Aug 2003 10:53:22 -0400

evolver (2.14-5) unstable; urgency=low

  * Changed Build-Depends from xlib6g-dev to xlibs-dev (closes: #170172).
  * Updated Standards-Version to 3.5.8.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 24 Nov 2002 11:38:11 -0500

evolver (2.14-4) unstable; urgency=low

  * Added symlink from /usr/share/doc/evolver-doc/evolver.htm to default.htm
    since the former is missing and lots of files link the #doc top anchor
    which is only present in the latter (closes: #105395).
  * Bumped Standards-Version since the old one doesn't make sense with
    DH_COMPAT=2.
  * Added a manpage for evolver.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 20 Sep 2001 15:25:41 -0400

evolver (2.14-3) unstable; urgency=low

  * Added xlib6g-dev to Bulid-Depends, not xlibs-dev so it will still build on
    potato. (closes: #100806)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 14 Jun 2001 08:03:45 -0400

evolver (2.14-2) unstable; urgency=low

  * Contacted upstream author for a more thorough and acceptable copyright
    statement.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 14 Nov 2000 17:20:58 -0500

evolver (2.14-1) unstable; urgency=low

  * Initial Release (Closes: #75003).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue,  7 Nov 2000 16:57:55 -0500

=== debian/control ===
Source: evolver
Section: math
Priority: extra
Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev, libreadline-dev

Package: evolver
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: evolver-doc, geomview
Description: Surface Evolver
 The Surface Evolver is an interactive program for the study of surfaces shaped
 by surface tension and other energies, and subject to various constraints.

Package: evolver-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: evolver
Description: Surface Evolver documentation and examples
 The Surface Evolver is an interactive program for the study of surfaces shaped
 by surface tension and other energies, and subject to various constraints.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_clean
	rm -f build install install-indep install-arch
	rm -f src/evolver src/*.o src/makemark
	QUILT_PATCHES=debian/patches quilt pop -a || test $$? = 2
	-rm -rf .pc
	rm -f *-stamp
	dh_clean

patch-stamp:
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch $@

build: patch-stamp
	dh_testdir
	make -C src evolver
	touch build

# These two are only usefull if you can selectively
# install for arch and indep stuff.
install-arch: build
	dh_installdirs -a
	install -d debian/evolver/usr/bin
	cp -p src/evolver debian/evolver/usr/bin/evolver
	dh_installman evolver.1
	touch install-arch

install-indep: patch-stamp
	dh_installdirs -i
	install -d debian/evolver-doc/usr/share/doc/evolver-doc/examples
	cp -p doc/* manual230.pdf debian/evolver-doc/usr/share/doc/evolver-doc
	cp -p fe/* debian/evolver-doc/usr/share/doc/evolver-doc/examples
	chmod -x debian/evolver-doc/usr/share/doc/evolver-doc/examples/*
	rm debian/evolver-doc/usr/share/doc/evolver-doc/evolver.htm
	ln -s default.htm \
	  debian/evolver-doc/usr/share/doc/evolver-doc/evolver.htm
	touch install-indep

install: install-arch install-indep
	touch install

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installmanpages -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## evolver 2.30c.dfsg

=== src/Makefile ===
# Makefile for Surface Evolver
SHELL= /bin/sh

# INSTRUCTIONS: Customize this makefile for your system by choosing
# your compiler (cc or gcc or whatever), and then uncomment the
# appropriate CFLAGS, GRAPH, and GRAPHLIB definitions for your system.
# If lines need to be modified for your system, please let me know
# at brakke@susqu.edu.

# The following systems have their own sections:
# Generic Unix 
# Linux OpenGL
# Linux Xwindows 
# cygwin 
# Mac OSX
# Sun Xwindows 
# 32-bint Solaris OpenGL 
# 64-bint Solaris OpenGL

# NOTE: -DOOGL should be specified in CFLAGS if you want Evolver to 
# be able to use geomview.  And -DOOGL is harmless in any case. 

# NOTE: You can use the readline input editing system (if your system has it)
# by adding -DUSE_READLINE to CFLAGS and  -lreadline -lcurses to GRAPHLIB.
# But beware; readline may be incompatible with using geomview.
# Also, the readline code was contributed by a user for version 2.30,
# and may be incompatible with readline libraries on some systems (Mac,
# for instance).

#-----------------------------------------------------------------------------

# Pick your compiler, and add any options you want, such as optimization
CC= cc 
#CC= gcc

#---------------------Start of system choices---------------------------------

# Remove #'s from following 3 lines for generic Unix without builtin graphics.
# Add -DOOGL to CFLAGS if you are using geomview.
#CFLAGS= -DGENERIC
#GRAPH= nulgraph.o 
#GRAPHLIB= 

#---- Generic Unix -----------------------------------------------------------

# Remove #'s from following 3 lines for generic Unix with X-windows. 
# Add -DOOGL to CFLAGS if you are using geomview.
# You might have to add something like -I/usr/X11R6/include to CFLAGS if 
# there is a problem finding Xlib.h while compiling xgraph.c, and add
# -L/usr/X11R6/lib to GRAPHLIB.
#CFLAGS= -DGENERIC
#GRAPH= xgraph.o 
#GRAPHLIB= -lX11 
#some places might have -lX11-mit

#----- Linux OpenGL ----------------------------------------------------------

# Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
# The graphics are on a second thread, so pthreads are needed.
# NOTE: -DPTRHEADS is necessary with glutgraph.o.
#CFLAGS= -DLINUX -DOOGL -DPTHREADS
#GRAPH= glutgraph.o 
#GRAPHLIB= -lGL -lGLU -lglut -lpthread
# NOTE: It has been reported to me that RedHat 9 needs the following line
# for GRAPHLIB, but earlier and later versions do okay with the GRAPHLIB
# line just above.
#GRAPHLIB= -lGL -lGLU -lglut -L/usr/X11R6/lib -lXi -lXmu -lpthread

#------ Linux Xwindows ------------------------------------------------------

# Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
# You may have to modify the X11 lib path given here.
#CFLAGS= -DLINUX -DOOGL 
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/X11R6/lib -lX11 

#-------- cygwin --------------------------------------------------------------

# Remove #'s from the following three lines for cygwin.
#CFLAGS= -DLINUX -DOOGL -DPTHREADS
#GRAPH= glutgraph.o 
#GRAPHLIB=   -lglut -lglu32 -lopengl32 -lpthread

#------- Mac OSX -------------------------------------------------------------

# Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
#INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
#CFLAGS= -DLINUX -DPTHREADS -DOOGL -DMAC_OS_X -I$(INC)
#GRAPH= glutgraph.o
#GLDIR=/System/Library/Frameworks/OpenGL.framework/Libraries
#GRAPHLIB= -L$(GLDIR)  -lGL -lGLU -lobjc  -framework GLUT

#------- Sun Xwindows --------------------------------------------------------

# Remove #'s from following 3 lines for SUNs or SPARCSTATIONs with X-windows
# WARNING: If you use -O2 optimization, you may have to compile popfilm.c
# without optimization, because sun optimization may hang.
#CFLAGS= -DSUN -DOOGL -I/usr/openwin/include
#GRAPH= xgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 

#------- 32-bint Solaris OpenGL ------------------------------------------------------

# 32-bit SOLARIS with GLUT.  The GLUT graphics window runs in a separate
# thread;  -DPTHREADS enables threads in Evolver source code, and -mt
# enables it in the Solaris cc compiler.  For the gcc compiler, use -pthreads 
# instead of -mt.
# You should check to see that the GLUTHOME directory listed below exists;
# it may be some other place on your machine.  If you can't find it,
# download glut-3.7b.sparc_solaris.tar.gz from www.sun.com.
#GLUTHOME= /usr/local/sparc_solaris/glut-3.7
#INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE)
#GRAPH= glutgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu

#------- 64-bint Solaris OpenGL ------------------------------------------------------

# 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
# You should check to see that the GLUTHOME directory listed below exists;
# it may be some other place on your machine.  If you can't find it,
# download glut-3.7b.sparc_solaris_64.tar.gz from www.sun.com.
#GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
#INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE) -m64 
#GRAPH= glutgraph.o 
#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu

#Note on Solaris:
#SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
#are needed for some programs on Solaris; but not this one -- they're poison
#for Evolver!

#-----------------------------------------------------------------------------

# Remove #'s from following 3 lines for DEC Alpha with X-windows 
# Add -DOOGL to CFLAGS if you have the X version of geomview.
#CFLAGS= -DDECALPHA -O -Olimit 2000
#GRAPH= xgraph.o
#GRAPHLIB= -lX11

#-----------------------------------------------------------------------------

# IRIX 4, with old gl graphics
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
#GRAPH= iriszgraph.o
#GRAPHLIB=  -lgl_s -lmalloc -lc_s

#-----------------------------------------------------------------------------

# IRIX 5
# Remove #'s from the following three lines for Iris workstations with 
# geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

#-----------------------------------------------------------------------------

# IRIX 5, parallel
# Remove #'s from the following three lines for Iris workstations with 
# multiple processors and geomview.  OK for single processors, too.
# Those with R4000 CPUs or above may add -mips2 to CFLAGS.
#CFLAGS = -DIRIS -DOOGL -DSGI_MULTI -O2 -Olimit 3000 -mips2
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

#-----------------------------------------------------------------------------

# IRIX 6
# Remove #'s from the following three lines for Iris workstations with 
# IRIX 6.x operating system.  Add -DSGI_MULTI to CLFAGS if you
# have multiple processors.
#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=10000
#GRAPH= xgraph.o
#GRAPHLIB=   -lmalloc -lX11

#-----------------------------------------------------------------------------


# Remove #'s from following 3 lines for  HP workstation
# Omit -Aa if you're using gcc
#CFLAGS= -Aa  -D_HPUX_SOURCE  -I/usr/include/X11R5
#GRAPH= xgraph.o
#GRAPHLIB= -L/usr/lib/X11R5 -lX11

#-----------------------------------------------------------------------------

# Remove #'s from following 3 lines for NeXTStep without screen graphics
# (see separate ftp archive evolver.next.tar.Z for graphics version)
#CFLAGS= -DNeXT
#GRAPH= nulgraph.o 
#GRAPHLIB= 

#-------------------End of system-specific options----------------------------

OBJ= calcforc.o  variable.o trirevis.o  stringl.o stringq.o model.o\
	 fixvol.o query.o matrix.o grapher.o painter.o filml.o filmq.o\
	 torvol.o lexinit.o graphgen.o modify.o userio.o boundary.o\
         curtest.o display.o yexparse.o lexyy.o ytab.o hessian.o\
	 evaltree.o cnstrnt.o verpopst.o popfilm.o machine.o veravg.o \
	 pixgraph.o tmain.o  tordup.o wulff.o help.o psgraph.o check.o  \
	 utility.o skeleton.o  storage.o dump.o iterate.o filgraph.o zoom.o\
         softimag.o mvgraph.o  diffuse.o sqcurve.o klein.o\
	 command.o hidim.o simplex.o metric.o torus.o quotient.o alice.o\
	 sdrv.o odrv.o userfunc.o kusner.o  simequi2.o\
	 geomgraph.o symtable.o exprint.o quantity.o meanint.o mindeg.o\
	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
	 method4.o method5.o eval_sec.o sqcurve3.o metis.o lagrange.o


evolver: makemark  $(OBJ)  $(GRAPH)
	$(CC) $(CFLAGS)  $(OBJ) $(GRAPH) $(GRAPHLIB) -o evolver -lm   

# This is to get global dependencies on the main header files.
makemark: skeleton.h storage.h model.h web.h
	if [[ -z "$(GRAPH)" ]] ; then (echo "ERROR: You need to uncomment your system's lines in Makefile.") ; fi
	rm *.o || true
	touch makemark

.c.o:
	$(CC) $(CFLAGS) -c  $<
 

# lexyy.c and ytab.c should only be remade when interface
# language is changed, which users shouldn't be touching.
#lexyy.c: datafile.lex express.h ytab.c lex.h
#	lex datafile.lex
#	sed '/#ident/d' <lex.yy.c >t.c
#	sed '/int \* p, int m/s/(int \* p, int m)/(p,m) int *p,m;/' <t.c >lexyy.c
#	rm lex.yy.c

#ytab.c:  command.yac  express.h
#	yacc -d command.yac
#	sed '/#ident/d' <y.tab.c >tmp.c
#	sed '/malloc()/d' <tmp.c >ytab.c
#	rm tmp.c
#	cp y.tab.h ytab.h
#	rm y.tab.c y.tab.h

ytab.h: ytab.c 

lexinit.o: lex.h lexinit.c express.h ytab.h

query.o: lex.h ytab.h query.c

evaltree.o: evaltree.c lex.h ytab.h express.h

eval_all.o: eval_all.c lex.h ytab.h express.h

eval_sec.o: eval_all.c lex.h ytab.h express.h

yexparse.o: yexparse.c lex.h ytab.h express.h

exprint.o: exprint.c lex.h ytab.h express.h

tmain.o: tmain.c include.h

=== debian/changelog ===
evolver (2.30c.dfsg-3) unstable; urgency=low

  * Removed manual230.pdf (closes: #651679).
  * Version 2.30 stopped using gets() so evolver doesn't link with readline,
    removed it from Build-Depends and linker line (closes: #646139).
    Thanks: Daniel T Chen.
  * Added build-arch and build-indep targets to rules.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 14 Dec 2011 17:50:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: extra
 Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev, libreadline-dev
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev
 
 Package: evolver
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,13 @@
 	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
 	touch $@
 
-build: patch-stamp
+build: build-arch
+build-arch: patch-stamp
 	dh_testdir
 	make -C src evolver
 	touch build
+
+build-indep:
 
 # These two are only usefull if you can selectively
 # install for arch and indep stuff.
@@ -41,7 +44,7 @@
 install-indep: patch-stamp
 	dh_installdirs -i
 	install -d debian/evolver-doc/usr/share/doc/evolver-doc/examples
-	cp -p doc/* manual230.pdf debian/evolver-doc/usr/share/doc/evolver-doc
+	cp -p doc/* debian/evolver-doc/usr/share/doc/evolver-doc
 	cp -p fe/* debian/evolver-doc/usr/share/doc/evolver-doc/examples
 	chmod -x debian/evolver-doc/usr/share/doc/evolver-doc/examples/*
 	rm debian/evolver-doc/usr/share/doc/evolver-doc/evolver.htm
@@ -83,4 +86,4 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep build build-indep clean checkroot

## evolver 2.70%2Bds

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
http://www.susqu.edu/facstaff/b/brakke/evolver/evolver.html (?:.*/)?evolver[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian bash debian/repack
